/*************************************************************************
*  Copyright (c) 1989-1992 Micro Digital Associates, Inc.
*                  All Rights Reserved.
*
*  MODULE: PASSXCHG.HPP - Pass Exchange
*
*  DESRIPTION:
*              This header file contains the class definition for the
*              pass exchange class. This class is derived from
*              the exchange class. The message class provides the
*              send and receive methods.
*
*
*  AUTHOR: Rick Evans 
*
*
*  UPDATE LOG
*
*************************************************************************/

#ifndef __PASSXCHG_HPP
#define __PASSXCHG_HPP     1

#include    <xtypes.h>
#include    "exchange.hpp"

class PassXchg : public Xchg
{

public:

   //---- constructors ------
   PassXchg( word  tplimN, ... );
   // copy constructor
   PassXchg( const PassXchg& nxchg );
	// c upgrade constructor
   PassXchg( XCB_PTR p );

   //---- destructor ------
   ~PassXchg();
};

#endif
//EOF

