/*************************************************************************
*  Copyright (c) 1989-1992 Micro Digital Associates, Inc.
*                  All Rights Reserved.
*
*  MODULE: RESXCHG.HPP - Resource Exchange
*
*  DESRIPTION:
*              This header file contains the class definition for the
*              Resource exchange class. This class is derived from
*              the exchange class. The message class provides the
*              send and receive methods.
*
*
*  AUTHOR: Rick Evans 
*
*
*  UPDATE LOG
*
*************************************************************************/

#ifndef __RESXCHG_HPP
#define __RESXCHG_HPP     1

#include    <xtypes.h>
#include    "exchange.hpp"

class ResXchg : public Xchg
{

public:

   //---- constructors ------
   ResXchg( word  tplimN, ... );
   // copy constructor
   ResXchg( const ResXchg& rxchg );
	// c upgrade constructor 
   ResXchg( XCB_PTR p );

   //---- destructor ------
   ~ResXchg();
};

#endif

//EOF

