/*************************************************************************
*  Copyright (c) 1989-1992 Micro Digital Associates, Inc.
*                  All Rights Reserved.
*
*  MODULE: SIOBUS.HPP
*
*  DESRIPTION:
*           The SIOBus class is an abstract base class. It is used for
*           communication with block and character devices.
*
*  AUTHOR: Rick Evans 
*
*
*  UPDATE LOG
*
*************************************************************************/
#ifndef  __SIOBUS_HPP
#define __SIOBUS_HPP  1

//Class
class SIOBus
{

public:

   VOID_PTR       SIOXCBP;


   //-------- Constructors --------
   // abstract class no constructors.


   //---------- Methods -----------
   virtual  int         GetChar()=0;
   virtual  BOOLEAN     PutChar( char achar )=0;

   //--------- Destructor ---------
   // abstract class no destructors.
};
#endif
//EOF
