/*************************************************************************
*  Copyright (c) 1989-1992 Micro Digital Associates, Inc.
*                  All Rights Reserved.
*
*  MODULE: FHPOOL.HPP - Far Heap Pool
*
*  DESRIPTION:
*                 This file contains the definition of the far heap 
*                 pool class. It is dirived from the pool class.
*
*
*  AUTHOR: Rick Evans 
*
*
*  UPDATE LOG
*
*************************************************************************/

#ifndef __FHPOOL_HPP
#define __FHPOOL_HPP   1

#include    <xtypes.h>
#include    "pool.hpp"

class FarHeapPool : public Pool
{

public:
   //--------- constuctors ---------
   FarHeapPool( word NumBlks, word BlkSize );
   FarHeapPool( PCB_PTR p );

   //---------- destuctors ----------
   // in base class
};

#endif
//EOF
