/*************************************************************************
*  Copyright (c) 1989-1992 Micro Digital Associates, Inc.
*                  All Rights Reserved.
*
*  MODULE: Near Heap Pool         nhpool.hpp
*
*  DESRIPTION:
*                 This file contains the definition of the near heap 
*                 pool class. It is dirived from the pool class.
*
*
*  AUTHOR: Rick Evans 
*
*
*  UPDATE LOG
*
*************************************************************************/

#ifndef __NHPOOL_HPP
#define __NHPOOL_HPP   1

#include    <xtypes.h>
#include    "pool.hpp"

class NearHeapPool : public Pool
{

public:
   //--------- constuctors ---------
   NearHeapPool( word NumBlks, word BlkSize );
   NearHeapPool( PCB_PTR p );

   //---------- destuctors ----------
   // in base class
};

#endif
//EOF
