/*************************************************************************
*  Copyright (c) 1989-1992 Micro Digital Associates, Inc.
*                  All Rights Reserved.
*
*  MODULE: NORMXCHG.HPP - Normal Exchange
*
*  DESRIPTION:
*              This header file contains the class definition for the
*              normal exchange class. This class is derived from
*              the exchange class. The message class provides the
*              send and receive methods.
*
*
*  AUTHOR: Rick Evans 
*
*
*  UPDATE LOG
*
*************************************************************************/

#ifndef __NORMXCHG_HPP
#define __NORMXCHG_HPP     1

#include    <xtypes.h>
#include    "exchange.hpp"

class NrmXchg : public Xchg
{

public:

   //---- constructors ------
   NrmXchg( word  tplimN, ... );
   // copy constructor
   NrmXchg( const NrmXchg& nxchg );
	// c upgrade constructor
   NrmXchg( XCB_PTR p );

   //---- destructor ------
   ~NrmXchg();
};

#endif
//EOF

