/*************************************************************************
*  Copyright (c) 1989-1992 Micro Digital Associates, Inc.
*                  All Rights Reserved.
*
*  MODULE: Pool         pool.hpp
*
*  DESRIPTION:
*                 This file contains the definition of the pool class.
*                 The pool class is an abstract class. 
*
*
*  AUTHOR: Rick Evans 
*
*
*  UPDATE LOG
*
*************************************************************************/

#ifndef __POOL_HPP
#define __POOL_HPP   1

#include    <xtypes.h>

class Pool
{
protected:
   PCB_PTR     PoolCBP;

public:
   //---- constructors ------
   // base class no constructor.

   //----- methods --------
   BCB_PTR     Get();
   BOOLEAN     Rel( BCB_PTR bp );

   //---- destructor ------
   ~Pool();

};

#endif
//EOF
