/*************************************************************************
*  Copyright (c) 1989-1992 Micro Digital Associates, Inc.
*                  All Rights Reserved.
*
*  MODULE: PROCESS.HPP  Process class.
*
*  DESRIPTION:
*              This is the abstract process class. The user should derive
*              his custom class from this one. The new class will contain
*              a mixture of smx++ objects.

*  AUTHOR: Rick Evans 
*
*
*  UPDATE LOG
*
*************************************************************************/
#ifndef  __PROCESS_HPP
#define __PROCESS_HPP  1

//Class
class Process
{
private:

   //-------- Constructors --------
   // abstract class no constructors.

public:

   //---------- Methods -----------
   virtual BOOLEAN Start()=0;
   virtual BOOLEAN ShutDown()=0;

   //--------- Destructor ---------
   // abstract class no destructors.
};
#endif
//EOF
