/*************************************************************************
*  Copyright (c) 1989-1992 Micro Digital Associates, Inc.
*                  All Rights Reserved.
*
*  MODULE: SEMAPHORE.HPP
*
*  DESRIPTION:
*           This deader defines the semaphore class.
*
*
*  AUTHOR: Rick Evans 
*
*
*  UPDATE LOG
*
*************************************************************************/

#ifndef __SEMAPHOR_HPP
#define __SEMAPHOR_HPP 1

#include     <xtypes.h>

class Sem
{
   SCB_PTR     SemCBP;

public:
   //------- constructors ---------
   Sem( byte thres, word tplimN, ... );  
   Sem( const Sem& sem );  
   Sem( SCB_PTR p );  

   //-------- methods ------------
   BOOLEAN  Signal();
   BOOLEAN  Test( word timeOut = INF );
   BOOLEAN  TestStop( word timeOut = INF );
   BOOLEAN  ClearQ();
   int      QSize();

   //-------- destructor ---------
   ~Sem();
   
};

#endif
//EOF
